*,
*:before,
*:after {
    box-sizing: border-box;
}

html {
    height: 100%;
    width: 100%;
}

body {
    height: 100%;
    width: 100%;
    margin: 0;
    padding: 0;
    font-family: 'Arial', sans-serif;
    background: #000;
    font-size: 16px;
}

img {
    display: inline-block;
    max-width: 100%;
    height: auto;
    vertical-align: bottom;
}

.pre-auth {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    padding: 16px;
}

@media (min-width: 768px){
    .pre-auth {
        padding: 32px;
    }
}

.pre-auth__validation {
     padding: 12px 16px;
     width: 100%;

    color: #a94442;
    font-weight: 600;
    background-color: #f2dede;
    border: 1px solid #ebccd1;
    font-size: 14px;
 }

.pre-auth__in {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 30px;
    padding: 32px;
    max-width: 540px;
    width: 100%;
    background-color: #fff;
    border-radius: 6px;
}

@media (min-width: 768px){
    .pre-auth__in {
        padding: 40px;
    }
}

.pre-auth__form {
    display: flex;
    flex-direction: column;
    gap: 16px;
    width: 100%;
}

.pre-auth__item {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.pre-auth__label {
    font-size: 14px;
}

.pre-auth__value {
    display: flex;
    gap: 12px;
}

.pre-auth__input {
    width: 100%;
    height: 46px;
    padding: 0 12px;

    border-radius: 4px;
    border: 1px solid #ddd;
    font-size: 16px;
}

.pre-auth__btn {
    display: inline-flex;
    align-items: center;
    flex-shrink: 0;
    height: 46px;
    padding: 0 16px;
    border-radius: 4px;
    border: none;
    cursor: pointer;
    font-size: 16px;
    background: #fcb036;
    color: #fff;
    font-weight: 700;
}

.password-eye {
    height: 24px;
    width: 24px;
    position: relative;
    float: right;
    top: 10px;
    right: 44px;
}
